/*****************************************************************************/
/* htmlcell.h - 18/08/99 - By Christophe LOREK - CRYO-NETWORKS               */
/*                                                                           */
/* HTMLCELL class                                                            */
/*                                                                           */
/* last modified on 18/08/99 By Christophe LOREK                             */
/*****************************************************************************/


#ifndef HTMLCELL_H
#define HTMLCELL_H

#include <stdlib.h>
#include <string.h>

#include "node.h"
#include "structs.h"
#include "../x/version.h"
#include "../x/scolplugin.h"


class HTMLCELL 
{
	public :
		int x;
		int y;
		int w;
		int h;
		int cx;
		int cy;

	private :
		int		align;
		int		red,green,blue;	
		int		cols;
		int		border;
		int		frame;
		int		rules;
		int		cellspacing;
		int		cellpadding;

	public :
	
	HTMLCELL(mmachine m,int align,int red,int green,int blue,int width,int cols,int border,int frame,int rules,int cellspacing,int cellpadding);

	~HTMLCELL();
	int DRAWcell();

	int Align();
	int Red();
	int Green();
	int Blue();
	int Cols();
	int Border();
	int Frame();
	int Rules();
	int Cellspacing();
	int Cellpadding();

	
};

#endif
